/**
 * XInformationRecipientRole2.java
 *
 * File generated from the medication2::XInformationRecipientRole2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XInformationRecipientRole2.
 *
 * 
 */

@XmlType(name = "XInformationRecipientRole")
@XmlEnum
@XmlRootElement(name = "XInformationRecipientRole2")
public enum XInformationRecipientRole2 {
	@XmlEnumValue("ASSIGNED")
	ASSIGNED("ASSIGNED"),
	@XmlEnumValue("HLTHCHRT")
	HLTHCHRT("HLTHCHRT");
	
	private final String value;

    XInformationRecipientRole2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XInformationRecipientRole2 fromValue(String v) {
        for (XInformationRecipientRole2 c: XInformationRecipientRole2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
